#include <bits/stdc++.h>
using namespace std;

int mu(int cs, int sm)
{
	if(sm==1) return cs; else return cs*mu(cs,sm-1);
}

int tinh(int n,int i)
{
	int a,s=0;
	for (a=1;a<=n;a++) s=s+mu(a,i);
	return s;
}

int main()
{
	int N,I;
	ifstream f1("DQU.INP");
	ofstream f2("DQU.OUT");
	f1>>N>>I;
	f2<<tinh(N,I);
	f1.close();
	f2.close();
}
